Linux内核udf_load_logicalvol基于堆的缓冲区溢出漏洞

漏洞起因
边界条件错误
危险等级

影响系统
Linux kernel 3.4.5之前版本

不受影响系统

危害
远程攻击者利用漏洞使系统崩溃。

攻击所需条件
攻击者必须访问Linux。

漏洞信息
Linux是一款开源的操作系统。
Linux内核fs/udf/super.c提供的udf_load_logicalvol函数处理分区表长度存在基于堆的缓冲区溢出,允许攻击者构建特制的UDF文件,并加载可使系统崩溃。

测试方法

厂商解决方案
用户可参考如下供应商提供的安全公告获得补丁信息:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=adee11b2085bee90bd8f4f52123ffb07882d6256

漏洞提供者
vendor